package com.om.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AppElectronicDTO {

    @ApiModelProperty(value = "electronic_controlID")
    private Integer id;

    @ApiModelProperty(value = "系统名称")
    private String electronicControlName;

    @ApiModelProperty(value = "小标题，如：诊断详情")
    private String diagnosticDetailsTitle;

    @ApiModelProperty(value = "故障码标题")
    private String faultCodeTitle;

    @ApiModelProperty(value = "版本信息标题")
    private String versionInfoTitle;

    @ApiModelProperty(value = "异常系统标题")
    private String abnormalSystemTitle;

    @ApiModelProperty(value = "正常系统标题")
    private String normalSystem;

    @ApiModelProperty(value = "版本信息集合")
    private List<AppEcuInfoDTO> ecuInfors;

    @ApiModelProperty(value = "故障码集合")
    private List<AppFaultCodeDTO> faultCodes;
}
