package com.om.service;

import com.om.entity.dto.APPRepairQueryPageDTO;
import com.om.entity.dto.APPReportCreateDTO;
import com.om.entity.po.Repair;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppRepairQueryPageVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-18
 */
public interface IRepairService extends IService<Repair> {

    Result createReport(APPReportCreateDTO dto);

    Result<AppRepairQueryPageVO> getPageList(APPRepairQueryPageDTO dto);

    Result delete(Integer id);
}
